메소드 | 설명 | |
---|---|---|
Execute ( ExternalCommandData commandData, String &message, Autodesk elements ) : Autodesk.Revit.UI.Result |
Implement this method as an external command for Revit.
|
메소드 | 설명 | |
---|---|---|
FindFamilySymbol ( System.Windows.Forms.Document rvtDoc, string familyName, string symbolName ) : FamilySymbol |
find Column which will be used to placed to Wall
|
|
FrameWall ( Autodesk rvtApp, Autodesk wall, double spacing, Autodesk columnType ) : void |
Frame a Wall
|
|
PlaceColumn ( Autodesk rvtApp, System.Windows.Forms.Document rvtDoc, Autodesk point2, double angle, FamilySymbol columnType, Autodesk baseLevelId, Autodesk topLevelId ) : void |
create a column instance and place it on the wall line.
|
public Execute ( ExternalCommandData commandData, String &message, Autodesk elements ) : Autodesk.Revit.UI.Result | ||
commandData | ExternalCommandData | An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view. |
message | String | A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command. |
elements | Autodesk | A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation. |
리턴 | Autodesk.Revit.UI.Result |